#
# Conditional build:
%bcond_with	tests		# unit tests (use network)
#
Summary:	AWS C HTTP library
Summary(pl.UTF-8):	Biblioteka AWS C HTTP
Name:		aws-c-http
Version:	0.10.2
Release:	1
License:	Apache v2.0
Group:		Libraries
#Source0Download: https://github.com/awslabs/aws-c-http/releases
Source0:	https://github.com/awslabs/aws-c-http/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	2061351c1c73693fb1181c6fc03cd4b5
URL:		https://github.com/awslabs/aws-c-http
BuildRequires:	aws-c-common-devel
BuildRequires:	aws-c-compression-devel
BuildRequires:	aws-c-io-devel
BuildRequires:	cmake >= 3.9
BuildRequires:	gcc >= 5:3.2
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
C99 implementation of the HTTP/1.1 and HTTP/2 specifications.

%description -l pl.UTF-8
Implementacja C99 specyfikacji HTTP/1.1 i HTTP/2.

%package devel
Summary:	Header files for AWS C HTTP library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki AWS C HTTP
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	aws-c-common-devel
Requires:	aws-c-compression-devel
Requires:	aws-c-io-devel

%description devel
Header files for AWS C HTTP library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki AWS C HTTP.

%prep
%setup -q

%build
install -d build
cd build
%cmake .. \
	%{!?with_tests:-DBUILD_TESTING=OFF}

%{__make}

%if %{with tests}
%{__make} test
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with tests}
%{__rm} $RPM_BUILD_ROOT%{_bindir}/{elasticurl,h2benchmark}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NOTICE README.md
%attr(755,root,root) %{_libdir}/libaws-c-http.so.1.0.0

%files devel
%defattr(644,root,root,755)
%{_libdir}/libaws-c-http.so
%{_includedir}/aws/http
%{_libdir}/cmake/aws-c-http
%changelog
* Sun Jun 15 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/aws-c-http.git;a=log;h=auto/th/aws-c-http-0.10.2-1

* Sat Jun 14 2025 Jakub Bogusz <qboosh@pld-linux.org> 28683a0
- new

